Package org.h2gis.functions.spatial.others

## Class ST_EnvelopeAsText

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.spatial.others.ST_EnvelopeAsText

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_EnvelopeAsText
    extends org.h2gis.api.AbstractFunction
    implements org.h2gis.api.ScalarFunction

Text representation of the geometry envelope

Author:
  E. Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_EnvelopeAsText()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `execute​(org.locationtech.jts.geom.Geometry geom)` Return a string representation of the Geometry envelope west, south, east, north : minX, minY, maxX, maxY
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_EnvelopeAsText

    public ST_EnvelopeAsText()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

#### execute

    public static String execute​(org.locationtech.jts.geom.Geometry geom)

Return a string representation of the Geometry envelope west, south, east, north : minX, minY, maxX, maxY

Parameters:
  `geom` - input geometry
Returns:
  a text representation of the geometry